Skip to main content
HTTP API

Query result

Request parameters, responses and code examples.

GET
https://ap-southeast-1.maas.qwencloudapi.com/api/v1/tasks/{task_id}
Context
# Singapore (ap-southeast-1). For another region, replace ap-southeast-1 in the URL.
# API keys are region-specific. See https://docs.qwencloud.com/developer-guides/getting-started/regions
curl --location 'https://ap-southeast-1.maas.qwencloudapi.com/api/v1/tasks/{task_id}' \
     --header "Authorization: Bearer $DASHSCOPE_API_KEY"
{
  "request_id": "f9e1afad-94d3-997e-a83b-************",
  "output": {
    "task_id": "f86ec806-4d73-485f-a24f-************",
    "task_status": "SUCCEEDED",
    "submit_time": "2024-09-12 15:11:40.041",
    "scheduled_time": "2024-09-12 15:11:40.071",
    "end_time": "2024-09-12 15:11:40.903",
    "results": [
      {
        "file_url": "{YOUR_AUDIO_URL}",
        "transcription_url": "https://dashscope-result-bj.oss-cn-beijing.aliyuncs.com/pre/filetrans-16k/20240912/15%3A11/409a4b92-445b-4dd8-8c1d-f110954d82d8-1.json?Expires=1726211500&OSSAccessKeyId=YOUR_ACCESS_KEY_ID&Signature=YOUR_SIGNATURE",
        "subtask_status": "SUCCEEDED"
      }
    ],
    "task_metrics": {
      "TOTAL": 1,
      "SUCCEEDED": 1,
      "FAILED": 0
    }
  },
  "usage": {
    "duration": 9
  }
}
See the complete workflow and descriptions in Qwen-Audio-ASR-Filetrans HTTP API for non-real-time speech recognition.

Authorizations

string
header
required

Path Parameters

string
required

(Required) Tip: This parameter is a URL path parameter. There is no request body. To query a task, specify its ID. This ID is the task_id returned when the Submit task interface is called.

<strong>(Required)</strong>

This parameter is a URL path parameter. There is no request body.

To query a task, specify its ID. This ID is the task_id returned when the Submit task interface is called.

Response

200-application/json
object

The data returned by the query task interface.

string

The unique identifier of this call.

object